﻿function Disable-Product {
    [CmdletBinding()]
    Param(
        [string] $product
    )

    if ($product -eq 'ExcelHelper') {
        return RemoveExcelAddin 'CONCEPT.xlam'
    } elseif ($product -eq 'WordHelper') {
        return RemoveWordAddin 'CONCEPT.dotm'
    } elseif ($product -eq 'Concept-Reports') {
        return RemoveExcelAddin 'ConceptReport.xlam'
    } elseif ($product -eq 'Concept-Maket') {
        return RemoveWordAddin '_Maket.dotm'
    } elseif ($product -eq 'Concept-NPA') {
        return RemoveWordAddin '_Concept-NPA.dotm'
    } elseif ($product -eq 'Concept-Mining') {
        return RemoveWordAddin 'Parsers.dotm'
    } elseif ($product -eq 'Concept-Markup') {
        return RemoveWordAddin 'MARKUP.dotm'
    }
    return $false
}

function TryDelete($fullName) {
    try {
        Remove-Item -Path $fullName
        return $true
    } catch {
        return $false
    }
}

function RemoveExcelAddin($fileName) {
    $fullName = "$($Env:APPDATA)\Microsoft\Excel\XLSTART\$fileName"
    Write-Host "Removing addin $fullName"
    return TryDelete $fullName
}

function RemoveWordAddin($fileName) {
    $fullName = "$($Env:APPDATA)\Microsoft\Word\STARTUP\$fileName"
    Write-Host "Removing addin $fullName"
    return TryDelete $fullName
}