﻿function Enable-Product {
    [CmdletBinding()]
    Param(
        [string] $product,
        [string] $localTools
    )

    if ($product -eq 'ExcelHelper') {
        return CopyExcelAddin "$localTools\optional" 'CONCEPT.xlam'
    } elseif ($product -eq 'WordHelper') {
        return CopyWordAddin "$localTools\optional" 'CONCEPT.dotm'
    } elseif ($product -eq 'Concept-Reports') {
        return CopyExcelAddin "$localTools\optional" 'ConceptReport.xlam'
    } elseif ($product -eq 'Concept-Maket') {
        return CopyWordAddin "$localTools\optional" '_Maket.dotm'
    } elseif ($product -eq 'Concept-NPA') {
        return CopyWordAddin "$localTools\optional" '_Concept-NPA.dotm'
    } elseif ($product -eq 'Concept-Mining') {
        return CopyWordAddin "$localTools\optional" 'Parsers.dotm'
    } elseif ($product -eq 'Concept-Markup') {
        return CopyWordAddin "$localTools\optional" 'MARKUP.dotm'
    }
    return $false
}

function TryCopy($source, $destination) {
    try {
        Copy-Item -Path $source -Destination $destination -Force -Recurse -ErrorAction Stop
        return $true
    } catch {
        return $false
    }
}

function CopyExcelAddin($location, $fileName) {
    $source = "$location\$fileName"
    $destination = "$($Env:APPDATA)\Microsoft\Excel\XLSTART\"
    Write-Host "Copying addin $fileName to $destination"
    return TryCopy $source $destination
}

function CopyWordAddin($location, $fileName) {
    $source = "$location\$fileName"
    $destination = "$($Env:APPDATA)\Microsoft\Word\STARTUP\"
    Write-Host "Copying addin $fileName to $destination"
    return TryCopy $source $destination
}