# Install Python libraries used by CIHT CONCEPT tools

$global:globalLibs = @(
    'pywin32',
    'pandas',
    'cctext'
)

$global:localLibs = @(
    'vbatopy'
)

function Install-PythonLibs {
    [CmdletBinding()]
    Param(
    [Parameter(Mandatory=$true)]
        [string]$python,
        [string]$localDistr = ''
    )
    Write-Host "`nUpgrading pip tools..." -ForegroundColor DarkGreen
    & $python -m pip install --upgrade pip
    InstallGlobalLibs
    InstallLocalLibs -libsPath $localDistr
}

function InstallGlobalLibs {
    foreach ($lib in $globalLibs) {
        Write-Host "`nInstalling from global repo: $lib" -ForegroundColor DarkGreen
        & $python -m pip install -U $lib
    }
}

function InstallLocalLibs([string]$libsPath) {
    if ($libsPath -eq '') {
        . "$PSScriptRoot\Get-ServerDistr.ps1"
        $libsPath = "$(Get-ServerDistr)\src"
    }
    foreach ($lib in $localLibs) {
        Write-Host "`nInstalling from local folder: $libsPath\$lib" -ForegroundColor DarkGreen
        & $python -m pip install -U "$libsPath\$lib"
    }
}