function Open-DistrManifest() {
    [CmdletBinding()]
    Param(
    [Parameter(Mandatory=$true)]
        [string] $fileName
    )

    Write-Host "Open distribution manifest ... $fileName"
    $result = [ordered] @{}
    if (-not (Test-Path -Path $fileName -PathType Leaf)) {
        return $result
    }
    $jsonObj = Get-Content -Path  $fileName -Raw | ConvertFrom-Json
    $jsonObj.PSObject.Properties | ForEach-Object { $result[$_.Name] = $_.Value }
    return $result
}