# Deploy ConceptDeploy module files to server storage
Set-StrictMode -Version 3.0
Set-Variable -Name MODULE_NAME -Value 'ConceptDeploy'

& .\CD_GenerateManifest.ps1
Import-Module -Name ".\$MODULE_NAME" -Force

$conceptServer = "$(Get-ServerDistr)"
$serverSrc = "$conceptServer\src\$MODULE_NAME"
if (Test-Path -Path $serverSrc) {
    Remove-Item $serverSrc -Recurse -Force
}
New-Item -Path "$serverSrc\$MODULE_NAME" -ItemType Directory -Force | Out-Null

Copy-Item -Path "$PSScriptRoot\CD_Install.ps1" -Destination "$serverSrc\"
Copy-Item -Path "$PSScriptRoot\VERSION" -Destination "$serverSrc\"
Copy-Item -Path "$PSScriptRoot\$MODULE_NAME\*" -Destination "$serverSrc\$MODULE_NAME" -Recurse

$distr = "$(Get-ExchangePath)\ConceptDistr"
$exchangeSrc = "$distr\src\$MODULE_NAME"
if (Test-Path -Path $exchangeSrc) {
    Remove-Item $exchangeSrc -Recurse -Force
}
New-Item -Path $exchangeSrc -ItemType Directory -Force | Out-Null

Copy-Item -Path "$PSScriptRoot\InstallAllProducts.ps1" -Destination "$distr\"
Copy-Item -Path "$PSScriptRoot\UpdateConceptProducts.ps1" -Destination "$distr\"
Copy-Item -Path "$PSScriptRoot\UninstallConceptProducts.ps1" -Destination "$distr\"
Copy-Item -Path "$PSScriptRoot\install_launcher.bat" -Destination "$distr\install.bat"
Copy-Item -Path "$PSScriptRoot\uninstall.bat" -Destination "$distr\uninstall.bat"
Copy-Item -Path "$PSScriptRoot\install_from_server.bat" -Destination "$distr\install_from_server.bat"
Copy-Item -Path "$PSScriptRoot\install_standalone.bat" -Destination "$distr\install_standalone.bat"
Copy-Item -Path "$PSScriptRoot\..\distr\!README.docx" -Destination "$distr\!README.docx"
Copy-Item -Path "$serverSrc\*" -Destination $exchangeSrc -Recurse